跳到內容

會員的法律文件接受記錄,以及仍待處理的內容

GET
/v1/me/acceptances
curl --request GET \
--url 'https://api.vimine.network/v1/me/acceptances?locale=it' \
--header 'Authorization: Bearer <token>'

當事人記錄過的每一項接受、閱讀確認或同意(帳戶使用條款、隱私權聲明、協會給會員的隱私權聲明),最新的在前;另有 pending:當事人尚未針對其現行版本作出處理的帳戶層文件和本協會的隱私權聲明。全文:GET /v1/legal/{kind} 和 GET /v1/aps/{slug}/privacy-notice。

locale
string
允許的值: it en zh-Hans zh-Hant fr es de pt-BR

接受記錄和待處理的文件

媒體類型application/json
object
items
必填
Array<object>
object
at
必填
string 格式: date-time
action
必填
string
允許的值: accepted acknowledged consented withdrawn declared
channel
string
允許的值: ui public api job paper
kind
必填
string
title
string
version
必填
string
sha256
string
可為 null
rendered_sha256

實際展示的文字的雜湊值

string
可為 null
locale
string
可為 null
association

該行為所涉及的協會(如有)

string
可為 null
pending
必填
object
platform

仍待接受/確認已閱讀的帳戶層文件

Array<object>
object
kind
必填
string
title
string
locale
string
version
必填
恰好符合一項:
string
sha256
string
可為 null
effective_from
string 格式: date-time
可為 null
action
必填

要求當事人做什麼

string
允許的值: accepted acknowledged consented
first

從未對此類文件的任何版本作出處理(為 false 時:新版本要求再次處理)

boolean
privacy_notice
恰好符合一項:
object
kind
必填
string
title
string
locale
string
version
必填
恰好符合一項:
string
sha256
string
可為 null
effective_from
string 格式: date-time
可為 null
action
必填

要求當事人做什麼

string
允許的值: accepted acknowledged consented
first

從未對此類文件的任何版本作出處理(為 false 時:新版本要求再次處理)

boolean
範例
{
"items": [
{
"action": "accepted",
"channel": "ui"
}
],
"pending": {
"platform": [
{
"action": "accepted"
}
],
"privacy_notice": {
"action": "accepted"
}
}
}

請求無效

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

缺少憑證或憑證無效

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

不允許此操作

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

找不到

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

超出速率限制

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

內部錯誤

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}